package com.eactive.eai.rms.ext.meta.epb;

import java.sql.Timestamp;
import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientForMetaTemplateDao;

@Repository
public class EpbMetaSelectDao extends SqlMapClientForMetaTemplateDao {
	
	public List<EpbMetaVo> selectCdList(HashMap map) throws Exception {
		return template.queryForList("EpbMetaSelect.selectCdList", map);
	}
	
	public Timestamp selectLastUpdateDate(HashMap map) {
		return (Timestamp) template.queryForObject("EpbMetaSelect.selectLastUpdateDate", map);
	}

}
